--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: create_called_from_database_instance
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: KirbyBase::KBEngine
includes: 
- !ruby/object:RI::IncludedModule 
  name: DRb::DRbUndumped
- !ruby/object:RI::IncludedModule 
  name: KBTypeConversionsMixin
- !ruby/object:RI::IncludedModule 
  name: KBEncryptionMixin
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add_column
- !ruby/object:RI::MethodSummary 
  name: add_index
- !ruby/object:RI::MethodSummary 
  name: add_to_indexes
- !ruby/object:RI::MethodSummary 
  name: change_column_default_value
- !ruby/object:RI::MethodSummary 
  name: change_column_required
- !ruby/object:RI::MethodSummary 
  name: change_column_type
- !ruby/object:RI::MethodSummary 
  name: delete_from_indexes
- !ruby/object:RI::MethodSummary 
  name: delete_records
- !ruby/object:RI::MethodSummary 
  name: delete_table
- !ruby/object:RI::MethodSummary 
  name: drop_column
- !ruby/object:RI::MethodSummary 
  name: drop_index
- !ruby/object:RI::MethodSummary 
  name: get_header_vars
- !ruby/object:RI::MethodSummary 
  name: get_index
- !ruby/object:RI::MethodSummary 
  name: get_index_timestamp
- !ruby/object:RI::MethodSummary 
  name: get_rec_by_recno
- !ruby/object:RI::MethodSummary 
  name: get_recno_index
- !ruby/object:RI::MethodSummary 
  name: get_recs
- !ruby/object:RI::MethodSummary 
  name: get_recs_by_recno
- !ruby/object:RI::MethodSummary 
  name: get_total_recs
- !ruby/object:RI::MethodSummary 
  name: index_exists?
- !ruby/object:RI::MethodSummary 
  name: init_index
- !ruby/object:RI::MethodSummary 
  name: init_recno_index
- !ruby/object:RI::MethodSummary 
  name: insert_record
- !ruby/object:RI::MethodSummary 
  name: line_to_rec
- !ruby/object:RI::MethodSummary 
  name: new_table
- !ruby/object:RI::MethodSummary 
  name: pack_table
- !ruby/object:RI::MethodSummary 
  name: read_blob_file
- !ruby/object:RI::MethodSummary 
  name: read_memo_file
- !ruby/object:RI::MethodSummary 
  name: rebuild_index
- !ruby/object:RI::MethodSummary 
  name: rebuild_recno_index
- !ruby/object:RI::MethodSummary 
  name: recno_index_exists?
- !ruby/object:RI::MethodSummary 
  name: remove_indexes
- !ruby/object:RI::MethodSummary 
  name: remove_recno_index
- !ruby/object:RI::MethodSummary 
  name: rename_column
- !ruby/object:RI::MethodSummary 
  name: rename_table
- !ruby/object:RI::MethodSummary 
  name: reset_recno_ctr
- !ruby/object:RI::MethodSummary 
  name: table_exists?
- !ruby/object:RI::MethodSummary 
  name: tables
- !ruby/object:RI::MethodSummary 
  name: update_recno_index
- !ruby/object:RI::MethodSummary 
  name: update_records
- !ruby/object:RI::MethodSummary 
  name: update_to_indexes
- !ruby/object:RI::MethodSummary 
  name: write_blob_file
- !ruby/object:RI::MethodSummary 
  name: write_memo_file
name: KBEngine
superclass: Object
